#1945 closed enhancement (fixed)

RFE: Abandon rtems_off64_t

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: minor Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description

cpukit/libcsupport/include/rtems/libio.h contains this:

/

  • A 64-bit file offset for internal use by RTEMS. Based on the Newlib
  • type. */

typedef _off64_t rtems_off64_t;

The rationale behind this escapes me.

I am proposing to abandon this type entirely and to use off_t instead.

Change History (3)

comment:1 Changed on Nov 2, 2011 at 4:02:30 AM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Nov 7, 2011 at 2:25:24 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

rtems_off64_t is history.

All places having used it were replaced to use off_t.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.